unit frmmain; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, BarChart;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
    BarChart1: TBarChart;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  BarChart1 := TBarChart.Create(self);
  with BarChart1 do
  begin
    Parent := self;
    Caption := 'My data';
    Align := alClient;
    FullRepaint := false;
    Depth := 20;
    LabelPosition := plLeft;
  end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  BarChart1.AddBar('1999',200,clGreen);
  BarChart1.AddBar('2000',100,clred);
  BarChart1.AddBar('2001',300,clred);
  BarChart1.AddBar('2003',400,clGreen);
  BarChart1.AddBar('2004',400,clGreen);
end;

end.

